#!/bin/bash

##############  xray安装脚本  #################
echo -e ''
echo -e "\033[32m====== xray for OPNsense一键安装脚本 ======\033[0m"
echo -e ''

# 设定目录变量
root=/usr/local

# 创建目录
mkdir -p $root/share/xray/
mkdir -p $root/etc/xray/

# 移动文件
cp xray $root/bin/
cp geoip.dat geosite.dat config.json $root/etc/xray/
cp rc $root/etc/rc.d/xray
echo -e '\n文件复制完成！'
echo -e ''

# 向/etc/rc.conf添加以下内容
sysrc xray_enable="YES"
echo -e '启动参数添加完成!'

# 赋予程序权限
chmod +x /usr/local/bin/xray
chmod +x /usr/local/etc/rc.d/xray
echo -e '执行权限添加完成！'

# 添加组和用户
pw addgroup -n xray
pw adduser xray -g xray -d /nonexistent -s /usr/sbin/nologin -c "xray Daemon"
echo -e 'xray用户和组添加完成！'
echo -e ''
echo -e "\033[32mxray安装完成！\033[0m"

#  添加开机启动脚本（OPNsense适用）
cat>/usr/local/etc/rc.syshook.d/start/30-xray<<EOF
service xray start
EOF
chmod +x /usr/local/etc/rc.syshook.d/start/30-xray
echo -e '开机脚本添加完成！'

#  显示命令说明
echo -e '\n代理使用说明：'
echo -e "\033[32m启动xray: service xray start\033[0m"
echo -e "\033[32m停止xray: service xray stop\033[0m"
echo -e "\033[32m重启xray: service xray restart\033[0m"
